CC = gcc

GCCFLAGS = -ffast-math -Wall
LIBROOT = ./
LIBLILXML = ../liblilxml
CFLAGS = $(GCCFLAGS) -I$(LIBLILXML)
LDFLAGS = -L$(LIBROOT) -L$(LIBLILXML)

LIBS =	-lm -llilxml -lsbigudrv -lcfitsio 

OBJS =				\
	indidrivermain.o	\
	eventloop.o		\
	protocol.o		\
	format.o		\
	ccd.o

all:	ccd 

ccd:	$(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm -fr *.o ccd
        
install:	
	cp ccd /usr/local/bin
        
